One Trading API
REST API
WebSocket API
REST API
WebSocket API
  1. Trading
  • Futures
    • Introduction
    • Funding Rate Methodology
    • Funding Payments
      GET
    • Positions
      GET
    • Position Funding Payments
      GET
    • Funding Rate Settings
      GET
    • Get Futures Open Positions
      GET
    • Futures Portfolio Summary
      GET
    • Current Funding Rate
      GET
    • Funding Rate History
      GET
    • Funding Schedule
      GET
  • Public
    • Currencies
      GET
    • Instruments
      GET
    • Candlesticks
      GET
    • Fee Groups
      GET
    • Order Book
      GET
    • Market Ticker
      GET
    • Market Ticker For Instrument
      GET
    • Time
      GET
  • Trading
    • Get Orders
      GET
    • Create Order
      POST
    • Get Order by Client ID
      GET
    • Get Order by Order ID
      GET
    • Balances
      GET
    • Fees
      GET
    • Get Trades for Order
      GET
    • Get Trade by Trade ID
      GET
    • Get Trades
      GET
    • Cancel All Orders
      DELETE
    • Cancel Order by Order ID
      DELETE
    • Cancel Order by Client ID
      DELETE
  • Funding
    • Transfer Subaccount Balance
      POST
  1. Trading

Get Order by Order ID

GET
https://api.onetrading.com/fast/v1/account/orders/{order_id}
Get information about an existing order using the exchange generated order_id.
Will only return orders with activity in the last 24 hours; older orders return 404. Use GET /v1/account/orders for order history.
Requires any valid API key. This endpoint is rate-limited per account holder.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Responses

🟢200Success
application/json
Bodyapplication/json

🟠400Bad Request
🟠401Unauthorized
🟠403Forbidden
🟠404Record Not Found
🟠429
🔴500Server Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.onetrading.com/fast/v1/account/orders/83c81e54-7384-47d4-09d1-57af45314fa1' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Success Example
{
    "order": {
        "account_id": "726288e6-a463-4f88-9068-024ae8f97a34",
        "order_id": "74eaf796-869b-4d49-ab39-2bc4fe10daeb",
        "client_id": "b8854ae6-4077-404b-ae0c-52a1fe318440",
        "amount": "1",
        "side": "SELL",
        "instrument_code": "SOL_EUR",
        "order_type": "API",
        "price": "140",
        "time": "2024-11-13T17:34:55.514Z",
        "time_nanos": "2024-11-13T17:34:55.514123456Z",
        "sequence": "58894260661",
        "total_fee": "0.29",
        "fee_currency": "EUR",
        "time_last_updated": "2024-11-13T17:34:55.514Z",
        "time_last_updated_nanos": "2024-11-13T17:34:55.514123456Z",
        "order_book_sequence": "58894260661",
        "filled_amount": "1",
        "status": "FILLED_FULLY",
        "average_price": "145.00"
    },
    "trades": [
        {
            "fee": {
                "fee_amount": "0.29",
                "fee_currency": "EUR"
            },
            "trade": {
                "trade_id": "f99a7e64-5478-44f3-b404-19aac53f2062",
                "order_id": "74eaf796-869b-4d49-ab39-2bc4fe10daeb",
                "account_id": "726288e6-a463-4f88-9068-024ae8f97a34",
                "amount": "1",
                "filled_amount": "1",
                "side": "SELL",
                "instrument_code": "SOL_EUR",
                "price": "145",
                "time": "2024-11-13T17:34:55.514Z",
                "time_nanos": "2024-11-13T17:34:55.514123456Z",
                "sequence": "58894260661",
                "matched_as": "MAKER",
                "order_type": "API"
            }
        }
    ]
}
Previous
Get Order by Client ID
Next
Balances
Built with